ssl_cert_descr.h File Reference
`#include <gwenhywfar/db.h>`
`#include <gwenhywfar/misc.h>`
`#include <gwenhywfar/list2.h>`
`#include <gwenhywfar/gwentime.h>`
`#include <gwenhywfar/ssl_cert_flags.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_SSLCERTDESCR | GWEN_SSLCERTDESCR

## Functions

GWENHYWFAR_API void | GWEN_SslCertDescr_Attach (GWEN_SSLCERTDESCR *st)
GWENHYWFAR_API GWEN_SSLCERTDESCR * | GWEN_SslCertDescr_dup (const GWEN_SSLCERTDESCR *st)
GWENHYWFAR_API void | GWEN_SslCertDescr_free (GWEN_SSLCERTDESCR *st)
GWENHYWFAR_API GWEN_SSLCERTDESCR * | GWEN_SslCertDescr_fromDb (GWEN_DB_NODE *db)
GWENHYWFAR_API const char * | GWEN_SslCertDescr_GetCommonName (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API const char * | GWEN_SslCertDescr_GetCountryName (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API const char * | GWEN_SslCertDescr_GetFingerPrint (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API const char * | GWEN_SslCertDescr_GetFingerPrintSha1 (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API const char * | GWEN_SslCertDescr_GetFingerPrintSha512 (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API const char * | GWEN_SslCertDescr_GetIpAddress (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API int | GWEN_SslCertDescr_GetIsError (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API const char * | GWEN_SslCertDescr_GetLocalityName (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API const GWEN_TIME * | GWEN_SslCertDescr_GetNotAfter (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API const GWEN_TIME * | GWEN_SslCertDescr_GetNotBefore (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API const char * | GWEN_SslCertDescr_GetOrganizationalUnitName (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API const char * | GWEN_SslCertDescr_GetOrganizationName (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API const char * | GWEN_SslCertDescr_GetPubKeyExponent (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API const char * | GWEN_SslCertDescr_GetPubKeyModulus (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API const char * | GWEN_SslCertDescr_GetStateOrProvinceName (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API uint32_t | GWEN_SslCertDescr_GetStatusFlags (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API const char * | GWEN_SslCertDescr_GetStatusText (const GWEN_SSLCERTDESCR *el)
GWENHYWFAR_API int | GWEN_SslCertDescr_IsModified (const GWEN_SSLCERTDESCR *st)
GWENHYWFAR_API void | GWEN_SslCertDescr_List2_freeAll (GWEN_SSLCERTDESCR_LIST2 *stl)
GWENHYWFAR_API GWEN_SSLCERTDESCR_LIST * | GWEN_SslCertDescr_List_dup (const GWEN_SSLCERTDESCR_LIST *stl)
GWENHYWFAR_API GWEN_SSLCERTDESCR * | GWEN_SslCertDescr_new (void)
GWENHYWFAR_API int | GWEN_SslCertDescr_ReadDb (GWEN_SSLCERTDESCR *st, GWEN_DB_NODE *db)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetCommonName (GWEN_SSLCERTDESCR *el, const char *d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetCountryName (GWEN_SSLCERTDESCR *el, const char *d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetFingerPrint (GWEN_SSLCERTDESCR *el, const char *d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetFingerPrintSha1 (GWEN_SSLCERTDESCR *el, const char *d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetFingerPrintSha512 (GWEN_SSLCERTDESCR *el, const char *d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetIpAddress (GWEN_SSLCERTDESCR *el, const char *d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetIsError (GWEN_SSLCERTDESCR *el, int d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetLocalityName (GWEN_SSLCERTDESCR *el, const char *d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetModified (GWEN_SSLCERTDESCR *st, int i)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetNotAfter (GWEN_SSLCERTDESCR *el, const GWEN_TIME *d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetNotBefore (GWEN_SSLCERTDESCR *el, const GWEN_TIME *d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetOrganizationalUnitName (GWEN_SSLCERTDESCR *el, const char *d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetOrganizationName (GWEN_SSLCERTDESCR *el, const char *d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetPubKeyExponent (GWEN_SSLCERTDESCR *el, const char *d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetPubKeyModulus (GWEN_SSLCERTDESCR *el, const char *d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetStateOrProvinceName (GWEN_SSLCERTDESCR *el, const char *d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetStatusFlags (GWEN_SSLCERTDESCR *el, uint32_t d)
GWENHYWFAR_API void | GWEN_SslCertDescr_SetStatusText (GWEN_SSLCERTDESCR *el, const char *d)
GWENHYWFAR_API int | GWEN_SslCertDescr_toDb (const GWEN_SSLCERTDESCR *st, GWEN_DB_NODE *db)

## Typedef Documentation

## GWEN_SSLCERTDESCR

typedef struct GWEN_SSLCERTDESCR GWEN_SSLCERTDESCR

Definition at line 167 of file ssl_cert_descr.h.

## Function Documentation

## GWEN_SslCertDescr_Attach()

GWENHYWFAR_API void GWEN_SslCertDescr_Attach | ( | GWEN_SSLCERTDESCR * | st | ) |

Increments the usage counter of the given object, so an additional free() is needed to destroy the object.

References GWEN_SslCertDescr_Attach(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_Attach().

## GWEN_SslCertDescr_dup()

GWENHYWFAR_API GWEN_SSLCERTDESCR * GWEN_SslCertDescr_dup | ( | const GWEN_SSLCERTDESCR * | st | ) |

Creates and returns a deep copy of thegiven object.

References GWEN_SslCertDescr_dup(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_dup().

## GWEN_SslCertDescr_free()

GWENHYWFAR_API void GWEN_SslCertDescr_free | ( | GWEN_SSLCERTDESCR * | st | ) |

Destroys the given object.

References GWEN_SslCertDescr_free(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_free().

## GWEN_SslCertDescr_fromDb()

GWENHYWFAR_API GWEN_SSLCERTDESCR * GWEN_SslCertDescr_fromDb | ( | GWEN_DB_NODE * | db | ) |

Creates an object from the data in the given GWEN_DB_NODE

References GWEN_SslCertDescr_fromDb(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_fromDb().

## GWEN_SslCertDescr_GetCommonName()

GWENHYWFAR_API const char * GWEN_SslCertDescr_GetCommonName | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_CommonName

References GWEN_SslCertDescr_GetCommonName(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetCommonName().

## GWEN_SslCertDescr_GetCountryName()

GWENHYWFAR_API const char * GWEN_SslCertDescr_GetCountryName | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_CountryName

References GWEN_SslCertDescr_GetCountryName(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetCountryName().

## GWEN_SslCertDescr_GetFingerPrint()

GWENHYWFAR_API const char * GWEN_SslCertDescr_GetFingerPrint | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_FingerPrint

References GWEN_SslCertDescr_GetFingerPrint(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetFingerPrint().

## GWEN_SslCertDescr_GetFingerPrintSha1()

GWENHYWFAR_API const char * GWEN_SslCertDescr_GetFingerPrintSha1 | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_FingerPrintSha1

References GWEN_SslCertDescr_GetFingerPrintSha1(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetFingerPrintSha1().

## GWEN_SslCertDescr_GetFingerPrintSha512()

GWENHYWFAR_API const char * GWEN_SslCertDescr_GetFingerPrintSha512 | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_FingerPrintSha512

References GWEN_SslCertDescr_GetFingerPrintSha512(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetFingerPrintSha512().

## GWEN_SslCertDescr_GetIpAddress()

GWENHYWFAR_API const char * GWEN_SslCertDescr_GetIpAddress | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_IpAddress

References GWEN_SslCertDescr_GetIpAddress(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetIpAddress().

## GWEN_SslCertDescr_GetIsError()

GWENHYWFAR_API int GWEN_SslCertDescr_GetIsError | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_IsError

References GWEN_SslCertDescr_GetIsError(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetIsError().

## GWEN_SslCertDescr_GetLocalityName()

GWENHYWFAR_API const char * GWEN_SslCertDescr_GetLocalityName | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_LocalityName

References GWEN_SslCertDescr_GetLocalityName(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetLocalityName().

## GWEN_SslCertDescr_GetNotAfter()

GWENHYWFAR_API const GWEN_TIME * GWEN_SslCertDescr_GetNotAfter | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_NotAfter

References GWEN_SslCertDescr_GetNotAfter(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetNotAfter().

## GWEN_SslCertDescr_GetNotBefore()

GWENHYWFAR_API const GWEN_TIME * GWEN_SslCertDescr_GetNotBefore | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_NotBefore

References GWEN_SslCertDescr_GetNotBefore(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetNotBefore().

## GWEN_SslCertDescr_GetOrganizationalUnitName()

GWENHYWFAR_API const char * GWEN_SslCertDescr_GetOrganizationalUnitName | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_OrganizationalUnitName

References GWEN_SslCertDescr_GetOrganizationalUnitName(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetOrganizationalUnitName().

## GWEN_SslCertDescr_GetOrganizationName()

GWENHYWFAR_API const char * GWEN_SslCertDescr_GetOrganizationName | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_OrganizationName

References GWEN_SslCertDescr_GetOrganizationName(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetOrganizationName().

## GWEN_SslCertDescr_GetPubKeyExponent()

GWENHYWFAR_API const char * GWEN_SslCertDescr_GetPubKeyExponent | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_PubKeyExponent

References GWEN_SslCertDescr_GetPubKeyExponent(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetPubKeyExponent().

## GWEN_SslCertDescr_GetPubKeyModulus()

GWENHYWFAR_API const char * GWEN_SslCertDescr_GetPubKeyModulus | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_PubKeyModulus

References GWEN_SslCertDescr_GetPubKeyModulus(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetPubKeyModulus().

## GWEN_SslCertDescr_GetStateOrProvinceName()

GWENHYWFAR_API const char * GWEN_SslCertDescr_GetStateOrProvinceName | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_StateOrProvinceName

References GWEN_SslCertDescr_GetStateOrProvinceName(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetStateOrProvinceName().

## GWEN_SslCertDescr_GetStatusFlags()

GWENHYWFAR_API uint32_t GWEN_SslCertDescr_GetStatusFlags | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_StatusFlags

References GWEN_SslCertDescr_GetStatusFlags(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetStatusFlags().

## GWEN_SslCertDescr_GetStatusText()

GWENHYWFAR_API const char * GWEN_SslCertDescr_GetStatusText | ( | const GWEN_SSLCERTDESCR * | el | ) |

Returns the property GWEN_SSLCERTDESCR_StatusText

References GWEN_SslCertDescr_GetStatusText(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_GetStatusText().

## GWEN_SslCertDescr_IsModified()

GWENHYWFAR_API int GWEN_SslCertDescr_IsModified | ( | const GWEN_SSLCERTDESCR * | st | ) |

Returns 0 if this object has not been modified, !=0 otherwise

References GWEN_SslCertDescr_IsModified(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_IsModified().

## GWEN_SslCertDescr_List2_freeAll()

GWENHYWFAR_API void GWEN_SslCertDescr_List2_freeAll | ( | GWEN_SSLCERTDESCR_LIST2 * | stl | ) |

Destroys all objects stored in the given LIST2 and the list itself

References GWEN_SslCertDescr_List2_freeAll(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_List2_freeAll().

## GWEN_SslCertDescr_List_dup()

GWENHYWFAR_API GWEN_SSLCERTDESCR_LIST * GWEN_SslCertDescr_List_dup | ( | const GWEN_SSLCERTDESCR_LIST * | stl | ) |

References GWEN_LIST2_FUNCTION_LIB_DEFS, GWEN_SslCertDescr_List_dup(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_List_dup().

## GWEN_SslCertDescr_new()

GWENHYWFAR_API GWEN_SSLCERTDESCR * GWEN_SslCertDescr_new | ( | void |  | ) |

Creates a new object.

References GWEN_SslCertDescr_new(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_new().

## GWEN_SslCertDescr_ReadDb()

GWENHYWFAR_API int GWEN_SslCertDescr_ReadDb | ( | GWEN_SSLCERTDESCR * | st,
|  | GWEN_DB_NODE * | db )

Reads data from a GWEN_DB.

References GWEN_SslCertDescr_ReadDb(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_ReadDb().

## GWEN_SslCertDescr_SetCommonName()

GWENHYWFAR_API void GWEN_SslCertDescr_SetCommonName | ( | GWEN_SSLCERTDESCR * | el,
|  | const char * | d )

Set the property GWEN_SSLCERTDESCR_CommonName

References GWEN_SslCertDescr_SetCommonName(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetCommonName().

## GWEN_SslCertDescr_SetCountryName()

GWENHYWFAR_API void GWEN_SslCertDescr_SetCountryName | ( | GWEN_SSLCERTDESCR * | el,
|  | const char * | d )

Set the property GWEN_SSLCERTDESCR_CountryName

References GWEN_SslCertDescr_SetCountryName(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetCountryName().

## GWEN_SslCertDescr_SetFingerPrint()

GWENHYWFAR_API void GWEN_SslCertDescr_SetFingerPrint | ( | GWEN_SSLCERTDESCR * | el,
|  | const char * | d )

Set the property GWEN_SSLCERTDESCR_FingerPrint

References GWEN_SslCertDescr_SetFingerPrint(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetFingerPrint().

## GWEN_SslCertDescr_SetFingerPrintSha1()

GWENHYWFAR_API void GWEN_SslCertDescr_SetFingerPrintSha1 | ( | GWEN_SSLCERTDESCR * | el,
|  | const char * | d )

Set the property GWEN_SSLCERTDESCR_FingerPrintSha1

References GWEN_SslCertDescr_SetFingerPrintSha1(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetFingerPrintSha1().

## GWEN_SslCertDescr_SetFingerPrintSha512()

GWENHYWFAR_API void GWEN_SslCertDescr_SetFingerPrintSha512 | ( | GWEN_SSLCERTDESCR * | el,
|  | const char * | d )

Set the property GWEN_SSLCERTDESCR_FingerPrintSha512

References GWEN_SslCertDescr_SetFingerPrintSha512(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetFingerPrintSha512().

## GWEN_SslCertDescr_SetIpAddress()

GWENHYWFAR_API void GWEN_SslCertDescr_SetIpAddress | ( | GWEN_SSLCERTDESCR * | el,
|  | const char * | d )

Set the property GWEN_SSLCERTDESCR_IpAddress

References GWEN_SslCertDescr_SetIpAddress(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetIpAddress().

## GWEN_SslCertDescr_SetIsError()

GWENHYWFAR_API void GWEN_SslCertDescr_SetIsError | ( | GWEN_SSLCERTDESCR * | el,
|  | int | d )

Set the property GWEN_SSLCERTDESCR_IsError

References GWEN_SslCertDescr_SetIsError(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetIsError().

## GWEN_SslCertDescr_SetLocalityName()

GWENHYWFAR_API void GWEN_SslCertDescr_SetLocalityName | ( | GWEN_SSLCERTDESCR * | el,
|  | const char * | d )

Set the property GWEN_SSLCERTDESCR_LocalityName

References GWEN_SslCertDescr_SetLocalityName(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetLocalityName().

## GWEN_SslCertDescr_SetModified()

GWENHYWFAR_API void GWEN_SslCertDescr_SetModified | ( | GWEN_SSLCERTDESCR * | st,
|  | int | i )

Sets the modified state of the given object

References GWEN_SslCertDescr_SetModified(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetModified().

## GWEN_SslCertDescr_SetNotAfter()

GWENHYWFAR_API void GWEN_SslCertDescr_SetNotAfter | ( | GWEN_SSLCERTDESCR * | el,
|  | const GWEN_TIME * | d )

Set the property GWEN_SSLCERTDESCR_NotAfter

References GWEN_SslCertDescr_SetNotAfter(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetNotAfter().

## GWEN_SslCertDescr_SetNotBefore()

GWENHYWFAR_API void GWEN_SslCertDescr_SetNotBefore | ( | GWEN_SSLCERTDESCR * | el,
|  | const GWEN_TIME * | d )

Set the property GWEN_SSLCERTDESCR_NotBefore

References GWEN_SslCertDescr_SetNotBefore(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetNotBefore().

## GWEN_SslCertDescr_SetOrganizationalUnitName()

GWENHYWFAR_API void GWEN_SslCertDescr_SetOrganizationalUnitName | ( | GWEN_SSLCERTDESCR * | el,
|  | const char * | d )

Set the property GWEN_SSLCERTDESCR_OrganizationalUnitName

References GWEN_SslCertDescr_SetOrganizationalUnitName(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetOrganizationalUnitName().

## GWEN_SslCertDescr_SetOrganizationName()

GWENHYWFAR_API void GWEN_SslCertDescr_SetOrganizationName | ( | GWEN_SSLCERTDESCR * | el,
|  | const char * | d )

Set the property GWEN_SSLCERTDESCR_OrganizationName

References GWEN_SslCertDescr_SetOrganizationName(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetOrganizationName().

## GWEN_SslCertDescr_SetPubKeyExponent()

GWENHYWFAR_API void GWEN_SslCertDescr_SetPubKeyExponent | ( | GWEN_SSLCERTDESCR * | el,
|  | const char * | d )

Set the property GWEN_SSLCERTDESCR_PubKeyExponent

References GWEN_SslCertDescr_SetPubKeyExponent(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetPubKeyExponent().

## GWEN_SslCertDescr_SetPubKeyModulus()

GWENHYWFAR_API void GWEN_SslCertDescr_SetPubKeyModulus | ( | GWEN_SSLCERTDESCR * | el,
|  | const char * | d )

Set the property GWEN_SSLCERTDESCR_PubKeyModulus

References GWEN_SslCertDescr_SetPubKeyModulus(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetPubKeyModulus().

## GWEN_SslCertDescr_SetStateOrProvinceName()

GWENHYWFAR_API void GWEN_SslCertDescr_SetStateOrProvinceName | ( | GWEN_SSLCERTDESCR * | el,
|  | const char * | d )

Set the property GWEN_SSLCERTDESCR_StateOrProvinceName

References GWEN_SslCertDescr_SetStateOrProvinceName(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetStateOrProvinceName().

## GWEN_SslCertDescr_SetStatusFlags()

GWENHYWFAR_API void GWEN_SslCertDescr_SetStatusFlags | ( | GWEN_SSLCERTDESCR * | el,
|  | uint32_t | d )

Set the property GWEN_SSLCERTDESCR_StatusFlags

References GWEN_SslCertDescr_SetStatusFlags(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetStatusFlags().

## GWEN_SslCertDescr_SetStatusText()

GWENHYWFAR_API void GWEN_SslCertDescr_SetStatusText | ( | GWEN_SSLCERTDESCR * | el,
|  | const char * | d )

Set the property GWEN_SSLCERTDESCR_StatusText

References GWEN_SslCertDescr_SetStatusText(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_SetStatusText().

## GWEN_SslCertDescr_toDb()

GWENHYWFAR_API int GWEN_SslCertDescr_toDb | ( | const GWEN_SSLCERTDESCR * | st,
|  | GWEN_DB_NODE * | db )

Stores an object in the given GWEN_DB_NODE

References GWEN_SslCertDescr_toDb(), and GWENHYWFAR_API.

Referenced by GWEN_SslCertDescr_toDb().